gtkmm: Gtk::IconThemeError Class Reference

gtkmm 3.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::IconThemeError Class Reference

Exception class for Gtk::IconTheme errors. More...

`#include <gtkmm/icontheme.h>`

Inheritance diagram for Gtk::IconThemeError:
[legend]

## Public Types
enum | Code { ICON_THEME_NOT_FOUND, ICON_THEME_FAILED }
| Error codes for GtkIconTheme operations. More...

## Public Member Functions
| IconThemeError (Code error_code, const Glib::ustring& error_message)
| IconThemeError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gtk::IconTheme errors.

## Member Enumeration Documentation

enum Gtk::IconThemeError::Code

Error codes for GtkIconTheme operations.

Enumerator
ICON_THEME_NOT_FOUND | The icon specified does not exist in the theme.
ICON_THEME_FAILED | An unspecified error occurred.

## Constructor & Destructor Documentation

Gtk::IconThemeError::IconThemeError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::IconThemeError::IconThemeError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::IconThemeError::code | ( |  | ) | const